All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.dataselectors
Class BaseRelationalMenuBarSupport

    com.sas.actionprovider.support.dataselectors.BaseRelationalMenuBarSupport

All Implemented Interfaces:
  RelationalMenuBarAreaInterface

    public abstract class BaseRelationalMenuBarSupport

implements RelationalMenuBarAreaInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for MenuBar components.

Since:
  3.1

Field Summary
`static java.lang.String` | `ADVANCED_FILTER_SELECTOR_ACTION` The actionType key used to define the default action for the Advanced Filter selector
`static java.lang.String` | `DATAITEM_SELECTOR_ACTION` The actionType key used to define the default action for the Query selector
`static java.lang.String` | `EDIT_MENU_ACTION` The actionType key used to define the default action for the Edit menu
`static java.lang.String` | `EXPORT_TO_ACTION` The actionType key used to define the default action for the Export To selector
`static java.lang.String` | `EXPORT_TO_EXCEL_ACTION` The actionType key used to define the default action for Export to Excel command
`static java.lang.String` | `RANKING_ACTION` The actionType key used to define the default action for the Ranking selector
`static java.lang.String` | `RB_KEY` Key used to retrieve messages from properties files
`static java.lang.String` | `SIMPLE_CALCULATED_ITEM_SELECTOR_ACTION` The actionType key used to define the default action for the Simple Calculated Item Selector
`static java.lang.String` | `SORT_SELECTOR_ACTION` The actionType key used to define the default action for the Sort selector
`static java.lang.String` | `TOTALS_ACTION` The actionType key used to define the default action for the Totals selector

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.dataselectors.RelationalMenuBarAreaInterface
`SELECTOR_AREA`

Constructor Summary
`BaseRelationalMenuBarSupport(java.lang.Class actionClass)` Constructor

Method Summary
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`void` | `initialize()` Initializes the support class

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, newActionInstance, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Field Detail

### DATAITEM_SELECTOR_ACTION

    public static final java.lang.String DATAITEM_SELECTOR_ACTION

  The actionType key used to define the default action for the Query selector

  See Also:
    Constant Field Values

### ADVANCED_FILTER_SELECTOR_ACTION

    public static final java.lang.String ADVANCED_FILTER_SELECTOR_ACTION

  The actionType key used to define the default action for the Advanced Filter selector

  See Also:
    Constant Field Values

### EXPORT_TO_EXCEL_ACTION

    public static final java.lang.String EXPORT_TO_EXCEL_ACTION

  The actionType key used to define the default action for Export to Excel command

  See Also:
    Constant Field Values

### SIMPLE_CALCULATED_ITEM_SELECTOR_ACTION

    public static final java.lang.String SIMPLE_CALCULATED_ITEM_SELECTOR_ACTION

  The actionType key used to define the default action for the Simple Calculated Item Selector

  See Also:
    Constant Field Values

### EXPORT_TO_ACTION

    public static final java.lang.String EXPORT_TO_ACTION

  The actionType key used to define the default action for the Export To selector

  See Also:
    Constant Field Values

### RANKING_ACTION

    public static final java.lang.String RANKING_ACTION

  The actionType key used to define the default action for the Ranking selector

  See Also:
    Constant Field Values

### TOTALS_ACTION

    public static final java.lang.String TOTALS_ACTION

  The actionType key used to define the default action for the Totals selector

  See Also:
    Constant Field Values

### SORT_SELECTOR_ACTION

    public static final java.lang.String SORT_SELECTOR_ACTION

  The actionType key used to define the default action for the Sort selector

  See Also:
    Constant Field Values

### EDIT_MENU_ACTION

    public static final java.lang.String EDIT_MENU_ACTION

  The actionType key used to define the default action for the Edit menu

  See Also:
    Constant Field Values

### RB_KEY

    public static final java.lang.String RB_KEY

  Key used to retrieve messages from properties files

  See Also:
    Constant Field Values

Constructor Detail

### BaseRelationalMenuBarSupport

    public BaseRelationalMenuBarSupport(java.lang.Class actionClass)

  Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### initialize

    public void initialize()

  Initializes the support class

  Specified by:
    `initialize` in class `BaseActionProviderSupport`
  See Also:
    `BaseActionProviderSupport.setLocale(java.util.Locale)`

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.